import { LitElement, type TemplateResult } from 'lit';
import type { Diagnostics } from '../../types/diagnostics.js';
import './play-button.js';
declare global {
    interface HTMLElementTagNameMap {
        'play-console': PlayConsole;
    }
}
export declare class PlayConsole extends LitElement {
    diagnostics?: Diagnostics;
    static styles: import("lit").CSSResult;
    protected render(): TemplateResult<1>;
}
